import * as lambda from 'aws-cdk-lib/aws-lambda';
import { Construct } from 'constructs';
/**
 * Props for SecureStringParameterHandlerFunction
 */
export interface SecureStringParameterHandlerFunctionProps extends lambda.FunctionOptions {
}
/**
 * An AWS Lambda function which executes src/lambda/secure-string-parameter-handler.
 */
export declare class SecureStringParameterHandlerFunction extends lambda.Function {
    constructor(scope: Construct, id: string, props?: SecureStringParameterHandlerFunctionProps);
}
